Bug 1204270 - capsule-installer should check RHEL version for appropriate release before installing
Summary: capsule-installer should check RHEL version for appropriate release before in...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Install Guide
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Zac Dover
QA Contact: Charles Wood
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-20 18:21 UTC by Corey Welton
Modified: 2019-09-25 20:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-03 02:00:09 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Corey Welton 2015-03-20 18:21:01 UTC
Description of problem:

As per the following BZs:
https://bugzilla.redhat.com/show_bug.cgi?id=1200722
https://bugzilla.redhat.com/show_bug.cgi?id=1201802

It is very possible to install Sat 6.1/capsules atop RHEL7.0.  Obviously this is not supported but it "succeeds".  What can manifest from this is the inability to sync capsules, even after system is updated and services are restarted.

We should have some sort of check that keeps users from shooting themselves in the foot, and/or at very least docs/release notes.

See bottom of this report for the workaround.  


Version-Release number of selected component (if applicable):
Satellite-6.1.0-RHEL-7-20150311.1


How reproducible:


Steps to Reproduce:
1.  Provision a system with RHEL 7.0 (not latest)
2.  Install capsule
3.  Attempt to sync capsule and note failure
4.  Update system; restart services; note failure.

Actual results:

User cannot sync capsules if capsule has initially been installed on RHEL 7.0 and the baseOS has been updated

Expected results:

User should not be allowed to even try and install on RHEL 7.0

Additional info:

Workaround for this situation

* Update system to RHEL 7.1 (if it hasn't been already)
* `yum -y reinstall pulp-selinux`
* restart capsule services (probably pulp-* and goferd)

Comment 2 Brian Hamrick 2015-03-20 19:28:53 UTC
Would prefer to do a version check to prevent this from happening in the first place.  Some customers may not be able to do the workaround if they are not able to move to RHEL 7.1.

Comment 3 Mike McCune 2015-03-24 04:21:52 UTC
Our docs try to be *very explicit* about this:


https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.0/html-single/Installation_Guide/index.html#sect-Red_Hat_Satellite-Installation_Guide-Prerequisites


"# subscription-manager release --set=Release

Only release versions 6Server and 7Server are supported by Red Hat Satellite. "


"Ensure that the host system is fully updated before installing Red Hat Satellite. Attempts to install on host systems that are not fully updated may lead to difficulty in troubleshooting, as well as unpredictable results. "

I'm hesitant to start baking in explicit version checks ...  

I'd argue this isn't necessary a blocker as we do document the requirement.

Comment 4 Mike McCune 2015-03-24 05:13:33 UTC
now that I read the above thou, that is for Satellite, not Capsule.

We should document the same for Capsules.  We could consider moving this to a Docs bug at the very least.

Comment 5 Stephen Benjamin 2016-12-19 15:18:52 UTC
Per comment #4 moving to be a docs bug.

Comment 6 Andrew Dahms 2017-02-02 11:53:32 UTC
This content exists as "Supported Operating Systems" in the current Satellite 6.2 Installation Guide.

The description should be expanded to be more specific and state 'Red Hat Satellite Server and Red Hat Satellite Capsule Server".

Comment 8 Andrew Dahms 2017-02-16 01:57:23 UTC
Assigning to Zac for review.

Zac - see comment #6.

Comment 14 Andrew Dahms 2017-03-03 02:00:09 UTC
This content is live on the Customer Portal.

Closing.


Note You need to log in before you can comment on or make changes to this bug.